Subject: bug#47879: [PATCH] Ignore mode hooks when analysing diffs

From: Stefan Kangas <[email-masked]>
Date: Wed, 21 Apr 2021 09:45:52 -0500

Philip Kaludercic <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> From: Stefan Kangas <[email-masked]>
>>> Date: Wed, 21 Apr 2021 09:12:45 -0500
>>> Cc: Eli Zaretskii <[email-masked]>, [email-masked]
>>>
>>> >> I rather think that the bug is either in the hook you added or in
>>> >> paredit-mode, and should be solved there.
>>> >
>>> > Ok, I'll try that too.
>>>
>>> So is this a notabug or a wontfix, or is there more to do here?
>>
>> Too early to say, I think.  Let's give Philip some time to try to fix
>> it as I suggested.
>
> I looked into the code, and Philipp Stephani's suggestion to set
> paredit-override-check-parens-function to (lambda (_) t) seems to be the
> cleanest solution. I'd say this is not really a bug, but an issue in my
> configuration. It might be worth considering sending paredit a patch to
> only check the syntax if invoked interactively, but my suggestion was
> certainly too broad.

Thanks.  Should this bug remain open, or can it therefore be closed?